Bug 212030 - mail/trojita: Update to 0.7
Summary: mail/trojita: Update to 0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-08-21 15:48 UTC by Raphael Kubo da Costa
Modified: 2016-11-13 10:04 UTC (History)
1 user (show)

See Also:
rakuco: maintainer-feedback-


Attachments
Patch v1 (2.73 KB, patch)
2016-08-21 15:48 UTC, Raphael Kubo da Costa
vlad-fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2016-08-21 15:48:28 UTC
Created attachment 173911 [details]
Patch v1

Trojita 0.7 was released a while ago: http://jkt.flaska.net/blog/Trojita_0_7_with_GPG_encryption_is_available.html

The attached patch updates the port and, since Qt 5.2 is the minimum version being supported, I've also removed the mail/trojita-qt4 port and cleaned up trojita's Makefile now that it does not have a slave port any longer.
Comment 1 Raphael Kubo da Costa freebsd_committer 2016-08-21 15:49:38 UTC
Comment on attachment 173911 [details]
Patch v1

I will also take care of MOVING and removing trojita-qt4 from mail/Makefile once it's approved.
Comment 2 Dmitry Marakasov freebsd_committer 2016-08-22 09:58:21 UTC
To be taken by rakuco@ I assume
Comment 3 VK freebsd_triage 2016-11-12 22:59:17 UTC
Comment on attachment 173911 [details]
Patch v1

Maintainer TIMEOUT, implicit approval.
Comment 4 commit-hook freebsd_committer 2016-11-13 10:04:04 UTC
A commit references this bug:

Author: rakuco
Date: Sun Nov 13 10:03:39 UTC 2016
New revision: 426021
URL: https://svnweb.freebsd.org/changeset/ports/426021

Log:
  Update mail/trojita to 0.7.

  Release notes: http://jkt.flaska.net/blog/Trojita_0_7_with_GPG_encryption_is_available.html

  The minimum Qt version required by this release is 5.2, which means the
  trojita-qt4 port is now gone. This also allows us to simplify the Makefile of
  the main port.

  PR:		212030
  Submitted by:	rakuco
  Approved by:	maintainer timeout (marco.broeder@posteo.eu, 84 days)

Changes:
  head/MOVED
  head/mail/Makefile
  head/mail/trojita/Makefile
  head/mail/trojita/distinfo
  head/mail/trojita-qt4/